Export
curl --request GET \
--url https://export-service.vatis.tech/export-service/api/v1/export/{exportFormat} \
--header 'Authorization: Bearer <token>'import requests
url = "https://export-service.vatis.tech/export-service/api/v1/export/{exportFormat}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://export-service.vatis.tech/export-service/api/v1/export/{exportFormat}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transcription": {
"text": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123,
"confidence": 123,
"language": "<string>",
"speakers": [
"<string>"
],
"speakersOverlap": true,
"channel": "<string>"
}
]
},
"utterances": [
{
"speakerIds": [
"<string>"
],
"overlap": true,
"channel": "<string>",
"start": 123,
"end": 123,
"text": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123,
"confidence": 123,
"language": "<string>",
"speakers": [
"<string>"
],
"speakersOverlap": true,
"channel": "<string>"
}
]
}
],
"summary": {
"content": "<string>"
},
"askAnything": {},
"sentimentAnalysis": {
"segments": [
{
"text": "<string>",
"channel": 123,
"startTime": 123,
"endTime": 123,
"score": 123
}
],
"summary": {
"channels": [
{
"channel": 123,
"negativeCount": 123,
"positiveCount": 123,
"neutralCount": 123,
"averageScore": 123
}
],
"negativeCount": 123,
"positiveCount": 123,
"neutralCount": 123,
"averageScore": 123
}
},
"enhancedTranscription": {
"transcription": {
"text": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123,
"confidence": 123,
"language": "<string>",
"speakers": [
"<string>"
],
"speakersOverlap": true,
"channel": "<string>"
}
]
},
"utterances": [
{
"speakerIds": [
"<string>"
],
"overlap": true,
"channel": "<string>",
"start": 123,
"end": 123,
"text": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123,
"confidence": 123,
"language": "<string>",
"speakers": [
"<string>"
],
"speakersOverlap": true,
"channel": "<string>"
}
]
}
]
}
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Export
Export
Exports results of one or more streams in various formats
GET
/
export-service
/
api
/
v1
/
export
/
{exportFormat}
Export
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Export format
Available options:
JSON, TEXT Query Parameters
List of stream ids for watching
Inclusion mode for the streams. When using 'EXCLUDE' the 'group' and 'count' must be specified
Available options:
INCLUDE, EXCLUDE Group id of the streams
Number of streams to search. Used when the included streams are not specified
List of tags to match
Match mode for the tags. 'ALL' matches all tags, 'ANY' matches any tag.
Available options:
ALL, ANY Timeout for the stream creation in milliseconds. If not specified, the maximum timeout allowed by the server will be used.
Exclude the payload from the result. If true, the payload value will be set to 'null'. This is compatible only with 'EVENTS' format.
⌘I